Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ActRelationshipExcerpt

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ActRelationshipExcerpt

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ActRelationshipExcerpt

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Act Relationship Excerpt', and utility methods for working with them. specDomain: V18660 (C-0-D10317-V10337-V18660-cpt)

See Also:
  `CDAR2Package.getActRelationshipExcerpt()`

Field Summary
`static java.util.List` | `VALUES` A public read-only list of all the 'Act Relationship Excerpt' enumerators.
`static int` | `VRXCRPT` The 'VRXCRPT' literal value.
`static ActRelationshipExcerpt` | `VRXCRPT_LITERAL` The 'VRXCRPT' literal object.
`static int` | `XCRPT` The 'XCRPT' literal value.
`static ActRelationshipExcerpt` | `XCRPT_LITERAL` The 'XCRPT' literal object.

Method Summary
`static ActRelationshipExcerpt` | `get(int value)` Returns the 'Act Relationship Excerpt' literal with the specified integer value.
`static ActRelationshipExcerpt` | `get(java.lang.String literal)` Returns the 'Act Relationship Excerpt' literal with the specified literal value.
`static ActRelationshipExcerpt` | `getByName(java.lang.String name)` Returns the 'Act Relationship Excerpt' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XCRPT

    public static final int XCRPT

  The 'XCRPT' literal value.

  If the meaning of 'XCRPT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `XCRPT_LITERAL`, Constant Field Values

### VRXCRPT

    public static final int VRXCRPT

  The 'VRXCRPT' literal value.

  If the meaning of 'VRXCRPT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `VRXCRPT_LITERAL`, Constant Field Values

### XCRPT_LITERAL

    public static final ActRelationshipExcerpt XCRPT_LITERAL

  The 'XCRPT' literal object.

  See Also:
    `XCRPT`

### VRXCRPT_LITERAL

    public static final ActRelationshipExcerpt VRXCRPT_LITERAL

  The 'VRXCRPT' literal object.

  See Also:
    `VRXCRPT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Act Relationship Excerpt' enumerators.

Method Detail

### get

    public static ActRelationshipExcerpt get(java.lang.String literal)

  Returns the 'Act Relationship Excerpt' literal with the specified literal value.

### getByName

    public static ActRelationshipExcerpt getByName(java.lang.String name)

  Returns the 'Act Relationship Excerpt' literal with the specified name.

### get

    public static ActRelationshipExcerpt get(int value)

  Returns the 'Act Relationship Excerpt' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD